import { Config } from "../../../config/index.js"
import { FGCYAN, RESET } from "./color.js"



export class Log{

    static info = ()=>{

    }
    static warn = ()=>{

    }
    static fatal = ()=>{

    }
    static debug = (str) => {
        const title = "debug"

        Config.log.debug && Config.log.json && Log.jsonOutput(title,str)

        Config.log.debug && Config.log.text && Log.output(title, FGCYAN ,str)
    }


    static jsonOutput = (title,str) => {
        console.log(JSON.stringify({date:`${new Date().toJSON()}`,title:title,code:str}))
    }
    static output = (title,color,str) => {
        console.log(`${new Date().toJSON()} ${color}[${title}]${RESET} ${str}`)
    }
}